import { Api } from "./api";
export declare enum FilterType {
    BY_PUPIL = 0,
    BY_PERSON = 1,
    BY_PERIOD = 2,
    BY_MESSAGEBOX = 3
}
export declare const getEndpoint: (type: FilterType) => "byPupil" | "byPerson" | "byPeriod" | "byBox" | null;
export declare class ApiHelper {
    private api;
    constructor(api: Api);
    getList(endpoint: string, deleted?: boolean, lastSync?: Date, dateFrom?: Date, dateTo?: Date, filterType?: FilterType, messageBox?: string, folder?: number, params?: any): Promise<any>;
    getData(endpoint: string, query?: any): Promise<any>;
}
