import { Serializable } from "../serialize";
import { DateTime } from "./dateTime";
import { Teacher } from "./teacher";
import { Subject } from "./subject";
export declare class Exam extends Serializable {
    id: number;
    key: string;
    type: string;
    topic: string;
    dateCreated: DateTime;
    dateModified: DateTime;
    deadline: DateTime;
    creator: Teacher;
    subject: Subject;
    pupilId: number;
}
