import { Serializable } from "../serialize";
import { GradeCategory } from "./gradeCategory";
import { Period } from "./period";
import { Subject } from "./subject";
export declare class GradeColumn extends Serializable {
    readonly periodBinder: (data: any) => Period;
    constructor(getPeriodById: (periodId: number) => Period);
    id: number;
    key: string;
    periodId: number;
    name: string;
    code: string;
    group: string;
    number: number;
    weight: number;
    subject: Subject;
    category?: GradeCategory;
    period?: Period;
}
