import { Serializable } from "../serialize";
import { Teacher } from "./teacher";
import { Subject } from "./subject";
import { Attachment } from "./attachment";
export declare class Homework extends Serializable {
    id: number;
    key: string;
    homeworkId: number;
    content: string;
    dateCreated: Date;
    creator: Teacher;
    subject: Subject;
    attachments: Attachment[];
    isAnswerRequired: Subject;
    deadline: Date;
    answerDeadline: Date;
    answerDate: Date;
}
