import { Keystore } from "./keystore";
import "cross-fetch/polyfill";
import { ApiHelper } from "./apiHelper";
import { Student, Account } from "./models";
export declare class Api {
    private keystore;
    account?: any;
    private restUrl?;
    student?: any;
    period?: any;
    helper: ApiHelper;
    constructor(keystore: Keystore, account?: Account);
    private buildPayload;
    private buildHeaders;
    private request;
    get: (url: string, inQuery?: any) => Promise<any>;
    post: (url: string, body: any) => Promise<any>;
    setStudent(student: Student): void;
}
