import { Serializable } from "../serialize";
import { Subject } from "./subject";
import { Teacher } from "./teacher";
import { TeamClass } from "./teamClass";
import { DateTime } from "./dateTime";
import { TimeSlot } from "./timeSlot";
import { PresenceType } from "./presenceType";
import { TeamVirtual } from "./teamVirtual";
export declare class Attendance extends Serializable {
    lessonId: number;
    id: number;
    lessonNumber: number;
    globalKey: string;
    lessonClassId: number;
    lessonClassGlobalKey: string;
    calculcatePresence: boolean;
    replacement: boolean;
    subject: Subject;
    topic: string;
    teacher: Teacher;
    secondTeacher?: Teacher;
    mainTeacher?: Teacher;
    teamClass?: TeamClass;
    classAlias?: string;
    date: DateTime;
    time?: TimeSlot;
    dateModified?: DateTime;
    auxPresenceId?: number;
    justificationStatus?: string;
    presenceType?: PresenceType;
    note?: string;
    publicResources?: string;
    remoteResources?: string;
    group?: TeamVirtual;
    visible?: boolean;
}
