import { Serializable } from "../serialize";
import { DateTime } from "./dateTime";
import { GradeColumn } from "./gradeColumn";
import { Period } from "./period";
import { Teacher } from "./teacher";
export declare class Grade extends Serializable {
    readonly periodBinder: (data: any) => Period;
    constructor(getPeriodById: (periodId: number) => Period);
    id: number;
    key: string;
    pupilId: number;
    contentRaw: string;
    content: string;
    dateCreated: DateTime;
    dateModify: DateTime;
    creator: Teacher;
    modifier: Teacher;
    column: GradeColumn;
    value?: number;
    comment?: string;
    numerator?: number;
    denominator?: number;
}
