import { Serializable } from "../serialize";
import { DateTime } from "./dateTime";
import { LessonChanges } from "./lessonChanges";
import { LessonRoom } from "./lessonRoom";
import { Subject } from "./subject";
import { Teacher } from "./teacher";
import { TeamClass } from "./teamClass";
import { TeamVirtual } from "./teamVirtual";
import { TimeSlot } from "./timeSlot";
export declare class Lesson extends Serializable {
    id?: number;
    date?: DateTime;
    timeSlot?: TimeSlot;
    room?: LessonRoom;
    teacherPrimary?: Teacher;
    teacherSecondary?: Teacher;
    subject?: Subject;
    event?: string;
    change?: LessonChanges;
    class?: TeamClass;
    pupilAlias?: string;
    distribution?: TeamVirtual;
    visible?: boolean;
}
