import { Serializable } from "../serialize";
import { Address } from "./address";
import { Attachment } from "./attachment";
export declare class Message extends Serializable {
    constructor();
    id: string;
    globalKey: string;
    threadKey: string;
    subject: string;
    content: string;
    sentDate: Date;
    status: number;
    sender: string;
    receivers: Address[];
    attachments: Attachment[];
    readDate?: Date;
}
